/*
                   YConsole Compile Time Configuration
 */

#ifndef CONFIG_H
#define CONFIG_H


/*
 *	Languages (define only one):
 */
#define PROG_LANGUAGE_ENGLISH	1
/* #define PROG_LANGUAGE_SPANISH	2 */
/* #define PROG_LANGUAGE_FRENCH		3 */
/* *incomplete* #define PROG_LANGUAGE_GERMAN	4 */
/* *incomplete* #define PROG_LANGUAGE_ITALIAN	5 */
/* *incomplete* #define PROG_LANGUAGE_NORWEGIAN	6 */
/* *incomplete* #define PROG_LANGUAGE_PORTUGUESE	7 */


/*
 *      Program name and version:
 */
#define PROG_NAME			"YConsole"
#define PROG_VERSION			"3.4.3"

#define PROG_VERSION_MAJOR		3
#define PROG_VERSION_MINOR		4
#define PROG_VERSION_RELEASE		3


/*
 *      Copyright message:
 */
#ifdef PROG_LANGUAGE_ENGLISH
#define PROG_COPYRIGHT	"\
Copyright (C) 1997-2006 WolfPack Entertainment.\n\
This program is protected by international copyright laws and treaties,\n\
distribution and/or modification of this software in violation of the\n\
GNU Public License is strictly prohibited. Violators will be prosecuted\n\
to the fullest extent of the law.\n"
#endif
#ifdef PROG_LANGUAGE_SPANISH
#define PROG_COPYRIGHT	"\
El derecho de autor (C) 1997-2006 WolfPack Entertainment.\n\
Este programa es protegido por leyes internacionales de derecho de autor\n\
y tratados, la distribucin y/o la modificacin de este software en la\n\
infraccin de la Licencia del Pblico de GNU se prohiben estrictamente.\n\
Violators ser procesado a la extensin ms repleta de la ley.\n"
#endif
#ifdef PROG_LANGUAGE_FRENCH
#define PROG_COPYRIGHT  "\
Dposer (C) 1997-2006 WolfPack Entertainment.\n\
Ce programme est protg par international dpose lois et traits, \n\
distribution et/ou de ce logiciel dans violation du GNU Public Permis\n\
strictement est interdit. Violators sera poursuivi  l'tendue plus pleine\n\
de la loi.\n"
#endif
#ifdef PROG_LANGUAGE_GERMAN
#define PROG_COPYRIGHT  "\
Urheberrecht (C) 1997-2006 WolfPack Entertainment.\n\
Dieses Programm wird von internationalem Urheberrecht Gesetzen und\n\
Vertrgen, Austeilung bzw. nderung dieser Software in bertretung\n\
DER GNU ffentlichkeit Erlaubnis streng verboten wird geschtzt.\n\
Verletzer werden zum vollsten Umfang des Gesetzes strafrechtlich\n\
verfolgt werden.\n"
#endif
#ifdef PROG_LANGUAGE_ITALIAN
#define PROG_COPYRIGHT  "\
Il copyright (C) 1997-2006 WolfPack Entertainment.\n\
Questo programma  protetto dalle leggi di copyright internazionali e\n\
dai trattati, la distribuzione e/o la modifica di questo software nella\n\
violazione dello GNU la Licenza Pubblica  strettamente proibita. Il\n\
Violators sar perseguito all'estensione la pi piena della legge.\n"
#endif
#ifdef PROG_LANGUAGE_NORWEGIAN
#define PROG_COPYRIGHT  "\
Copyright (C) 1997-2006 WolfPack Entertainment.\n\
Dette programet blir blir beskyttet ved internasjonal copyrightlover og\n\
traktater dendistribusjon og/eller modifikasjon av denne programvaren i\n\
overtredelse av GNU Public License er streng forbudt. Violators vil bli vil\n\
bli tiltalt til den fulleste omfang av.\n"
#endif
#ifdef PROG_LANGUAGE_PORTUGUESE
#define PROG_COPYRIGHT  "\
Os direitos autorais (C) 1997-2006 WolfPack Entertainment.\n\
Este programa  protegido por direitos internacionais leis autorais e\n\
tratados, modificao de e/ou de distribuio deste software em infrao\n\
do GNU Licena Pblica precisamente  proibida. O Violators ser\n\
processado  plena extenso da lei.\n"
#endif


/*
 *	DND info codes:
 */
#define YC_DND_TYPE_INFO_TEXT_PLAIN	0	/* "text/plain" */
#define YC_DND_TYPE_INFO_TEXT_URI_LIST	1	/* "text/uri-list" */
#define YC_DND_TYPE_INFO_STRING		2	/* "STRING" */


/*
 *	Paned widget handle and gutter size (in pixels):
 */
#define YC_DEF_PANED_GUTTER_SIZE	10
#define YC_DEF_PANED_HANDLE_SIZE	10

/*
 *      Vertical spacing of each item standard lists:
 */
#define YC_LIST_ROW_SPACING		20

/*
 *      Spacing between pixmap and text in standard lists:
 */
#define YC_LIST_PIXMAP_TEXT_SPACING	2


/*
 *	Directories:
 */
#define YC_DEF_DATA_DIR_LOCAL	".yconsole"
#define YC_DEF_DATA_DIR_GLOBAL	"/usr/share/yconsole"

/*
 *	File names:
 */
#define YC_DEF_CONFIG_FILE		"yconsole.ini"
#define YC_DEF_SERVERS_LIST_FILE	"yserverslist.ini"
#define YC_DEF_PLAYLIST_FILE		"playlist.ini"


/*
 *      Standard output help message:
 */
#define PROG_HELP_MESG	"\
Usage: yconsole [recorder] [options] [GUI_options]\n\
\n\
    The [<fI>recorder<fR>] specifies the address and port of the Y\n\
    server to connect to at startup. The format is <address>:<port>.\n\
    The default address and port is localhost:9433.\n\
\n\
    The [options] can be any of the following:\n\
\n\
        --yconsole              Start up with the YConsole window.\n\
        --yaudio                Start up with the YAudio window.\n\
        --ymixer                Start up with the YMixer window.\n\
        --yplayer               Start up with the YPlayer window.\n\
        --yplayer_sndobj <path>\n\
                                Start up with the YPlayer window and\n\
                                start playing the sound object specified\n\
                                by <path>.\n\
        --yplayer_audiocd <track_number>\n\
                                Start up with the YPlayer window and\n\
                                start playing the audio CD track\n\
                                specified by <track_number>.\n\
        --yserver_list          Start up with the YServer list window.\n\
        --help                  Print help screen and exit.\n\
        --version               Prints version information and exits.\n\
\n\
    Most customizations can be performed in the options menu.\n\
\n\
    Command line options override any options in the configuration file.\n\
\n\
    [GUI_options] can be any options standard to your GUI, consult your\n\
    GUI's manual for available options.\n\
\n"


#endif	/* CONFIG_H */
