/*
                          Y Server Startup Dialog
 */

#ifndef STARTUPDIALOG_H
#define STARTUPDIALOG_H

#include <gtk/gtk.h>
#include "proccon.h"

/*
 *	Startup dialog structure:
 */
typedef struct {

	gboolean	initialized;
	gboolean	map_state;
	GtkAccelGroup	*accelgrp;
	gpointer	core_ptr;
	GtkWidget	*toplevel,
			*heading_pm,
			*proccon,
			*close_on_termination_tb,
			*cancel_btn,
			*close_btn;

} startup_dialog_struct;

#define STARTUP_DIALOG(p)	((startup_dialog_struct *)(p))
#define STARTUP_DIALOG_TOPLEVEL(p)	(((p) != NULL) ? \
 (STARTUP_DIALOG(p)->toplevel) : NULL)
#define STARTUP_DIALOG_PROCCON(p)	(((p) != NULL) ? \
 (STARTUP_DIALOG(p)->proccon) : NULL)


extern gint StartupDialogExecute(
	startup_dialog_struct *sd, const gchar *cmd
);
extern void StartupDialogSavePositions(startup_dialog_struct *sd);

extern startup_dialog_struct *StartupDialogNew(
        const gchar *title, guint8 **wm_icon_xpm_data,
        guint8 **heading_xpm_data,
        gpointer core_ptr
);
extern void StartupDialogMap(startup_dialog_struct *sd);
extern void StartupDialogUnmap(startup_dialog_struct *sd);
extern void StartupDialogDelete(startup_dialog_struct *sd);


#endif	/* STARTUPDIALOG_H */
