/*
                                    Core
 */

#ifndef YC_H
#define YC_H

#include <gtk/gtk.h>
#include "cfg.h"
#include "dspview.h"
#include "optwin.h"
#include "yconsolewin.h"
#include "yaudio.h"
#include "ymixer.h"
#include "yplayer.h"
#include "yserverlist.h"
#include "startupdialog.h"

/*
 *	Core:
 */
typedef struct {

	gchar *cfg_file;
	cfg_item_struct *cfg_list;

	gpointer imlib_handle;

	gboolean close_all_windows;

	yconsole_struct **yconsole;
	gint total_yconsoles;

        yaudio_struct **yaudio;
        gint total_yaudios;

	ymixer_struct **ymixer;
	gint total_ymixers;

	yplayer_struct **yplayer;
	gint total_yplayers;

	yserver_list_struct *yserver_list;
	optwin_struct *optwin;
	dspview_struct *optwin_dspview;

	startup_dialog_struct **startup_dialog;
	gint total_startup_dialogs;

	GdkCursor	*cursor_busy,
			*cursor_text;

	/* DSPView background images.  These are allocated once at
	 * start up and never reallocated until exit.
	 */
	guint8 *dsp_bg_img;
        gint dsp_bg_img_width, dsp_bg_img_height, dsp_bg_img_bpl;

        guint8 *dsp_bg_img_small;
        gint dsp_bg_img_small_width, dsp_bg_img_small_height,
		dsp_bg_img_small_bpl;

	/* GTK+ timeout callback IDs. */
	guint toid, toid2, toid3;

} yc_core_struct;

#define YC_CORE(p)	((yc_core_struct *)(p))

#define YC_CORE_CFG_LIST(p)	(((p) != NULL) ? \
 (YC_CORE(p)->cfg_list) : NULL)

#define YC_GET_CFG_I(p,n)	\
 CFGItemListGetValueI(YC_CORE_CFG_LIST(p), (n))
#define YC_GET_CFG_L(p,n)	\
 CFGItemListGetValueL(YC_CORE_CFG_LIST(p), (n))
#define YC_GET_CFG_UL(p,n)	\
 CFGItemListGetValueUL(YC_CORE_CFG_LIST(p), (n))
#define YC_GET_CFG_F(p,n)	\
 CFGItemListGetValueF(YC_CORE_CFG_LIST(p), (n))
#define YC_GET_CFG_D(p,n)	\
 CFGItemListGetValueD(YC_CORE_CFG_LIST(p), (n))
#define YC_GET_CFG_S(p,n)	\
 CFGItemListGetValueS(YC_CORE_CFG_LIST(p), (n))
#define YC_GET_CFG_COLOR(p,n)	\
 CFGItemListGetValueColor(YC_CORE_CFG_LIST(p), (n))
#define YC_GET_CFG_INTLIST(p,n)	\
 CFGItemListGetValueIntList(YC_CORE_CFG_LIST(p), (n))

#define YC_SET_CFG_I(p,n,x)	\
 CFGItemListSetValueI(YC_CORE_CFG_LIST(p), (n), (x), FALSE)
#define YC_SET_CFG_L(p,n,x)	\
 CFGItemListSetValueL(YC_CORE_CFG_LIST(p), (n), (x), FALSE)
#define YC_SET_CFG_UL(p,n,x)	\
 CFGItemListSetValueUL(YC_CORE_CFG_LIST(p), (n), (x), FALSE)
#define YC_SET_CFG_F(p,n,x)	\
 CFGItemListSetValueF(YC_CORE_CFG_LIST(p), (n), (x), FALSE)
#define YC_SET_CFG_S(p,n,x)	\
 CFGItemListSetValueS(YC_CORE_CFG_LIST(p), (n), (x), FALSE)
#define YC_SET_CFG_COLOR(p,n,x)	\
 CFGItemListSetValueColor(YC_CORE_CFG_LIST(p), (n), (x), FALSE)
#define YC_SET_CFG_INTLIST(p,n,x)	\
 CFGItemListSetValueIntList(YC_CORE_CFG_LIST(p), (n), (x), FALSE)


#endif	/* YC_H */
