#include <stdlib.h>
#include <string.h>

#include <gtk/gtk.h>

#include "guiutils.h"
#include "cdialog.h"

#include "cfg.h"

#include "yconsolewin.h"
#include "yconsolecb.h"
#include "yaudio.h"
#include "yaudiocb.h"
#include "ymixer.h"
#include "ymixercb.h"
#include "yplayer.h"
#include "yplayercb.h"
#include "yserverlist.h"
#include "yserverlistcb.h"
#include "yc.h"
#include "yccb.h"
#include "ycop.h"
#include "ycimg.h"
#include "yccfglist.h"
#include "config.h"


void YCReconfiguredEmit(yc_core_struct *core_ptr);


/*
 *	Emits a reconfigure signal to all of YConsole's windows who
 *	are interested.
 */
void YCReconfiguredEmit(yc_core_struct *core_ptr)
{
	gint i;


	if(core_ptr == NULL)
	    return;

	/* Begin updating core and global configuration values. */

	/* Update global tooltips state. */
	GUISetGlobalTipsState(
	    YC_GET_CFG_I(core_ptr, YC_CFG_PARM_SHOW_TOOLTIPS) ?
		TRUE : FALSE
	);

	/* Reload DSPView background images. */
	YCImgLoad(
	    core_ptr,
	    YC_GET_CFG_S(core_ptr, YC_CFG_PARM_DSPVIEW_FILE_IMAGE_BG_LARGE),
	    YC_GET_CFG_I(core_ptr, YC_CFG_PARM_DSPVIEW_IMAGE_BG_LARGE_FIT_METHOD),
	    YC_GET_CFG_S(core_ptr, YC_CFG_PARM_DSPVIEW_FILE_IMAGE_BG_SMALL),
	    YC_GET_CFG_I(core_ptr, YC_CFG_PARM_DSPVIEW_IMAGE_BG_SMALL_FIT_METHOD)
	);


	/* Begin notifying resources about the reconfigure. */

	/* YConsoles. */
	for(i = 0; i < core_ptr->total_yconsoles; i++)
	    YConsoleReconfiguredCB(
		core_ptr->yconsole[i], core_ptr
	    );

	/* YAudios. */
	for(i = 0; i < core_ptr->total_yaudios; i++)
	    YAudioReconfiguredCB(
		core_ptr->yaudio[i], core_ptr
	    );

	/* YMixers. */
	for(i = 0; i < core_ptr->total_ymixers; i++)
	    YMixerReconfiguredCB(
		core_ptr->ymixer[i], core_ptr
	    );

	/* YPlayers. */
	for(i = 0; i < core_ptr->total_yplayers; i++)
	    YPlayerReconfiguredCB(
		core_ptr->yplayer[i], core_ptr
	    );

	/* YServer list. */
	YServerListReconfiguredCB(core_ptr->yserver_list, core_ptr);
}
