/*
		       YPlayer Window Callbacks
 */

#ifndef YPLAYERCB_H
#define YPLAYERCB_H

#include <gtk/gtk.h>
#include "yplayer.h"


extern void YPlayerSndObjListItemDestroyCB(gpointer data);
extern void YPlayerSndObjPlayingListItemDestroyCB(gpointer data);

extern gint YPlayerDeleteEventCB(
	GtkWidget *widget, GdkEvent *event, gpointer data
);
extern void YPlayerDestroyCB(GtkObject *object, gpointer data);

extern gint YPlayerDSPViewButtonCB(
	GtkWidget *widget, GdkEventButton *button, gpointer data
);
extern gint YPlayerKeyEventCB(
	GtkWidget *widget, GdkEventKey *key, gpointer data
);
extern gint YPlayerButtonEventCB(
	GtkWidget *widget, GdkEventButton *button, gpointer data
);
extern void YPlayerCListSelectRowCB(
	GtkCList *clist, gint row, gint column, GdkEvent *event,
	gpointer data
);
extern void YPlayerCListUnselectRowCB(
	GtkCList *clist, gint row, gint column, GdkEvent *event,
	gpointer data
);

extern void YPlayerConnectCB(
	GtkWidget *widget, const gchar *s, gpointer data
);
extern void YPlayerYServerListCB(GtkWidget *widget, gpointer data);
extern void YPlayerCloseCB(GtkWidget *widget, gpointer data);
extern void YPlayerNewYConsoleCB(GtkWidget *widget, gpointer data);
extern void YPlayerNewYMixerCB(GtkWidget *widget, gpointer data);
extern void YPlayerNewYAudioCB(GtkWidget *widget, gpointer data);
extern void YPlayerNewYPlayerCB(GtkWidget *widget, gpointer data);
extern void YPlayerUptionsCB(GtkWidget *widget, gpointer data);
extern void YPlayerRefreshCB(GtkWidget *widget, gpointer data);
extern gboolean YPlayerShelloutCB(
	GtkWidget *widget, gboolean shellout, gpointer data
);
extern void YPlayerShutdownCB(GtkWidget *widget, gpointer data);
extern void YPlayerManageCB(yplayer_struct *yp);
extern void YPlayerManage2CB(yplayer_struct *yp);

extern gboolean YPlayerSndObjListDragMotionCB(
	GtkWidget *widget, GdkDragContext *dc, gint x, gint y, guint t,
	gpointer data
);
extern void YPlayerSndObjListDragDataReceivedCB(
	GtkWidget *widget, GdkDragContext *dc, gint x, gint y,
	GtkSelectionData *selection_data, guint info, guint t,
	gpointer data
);

extern void YPlayerSndObjPlayCB(GtkWidget *widget, gpointer data);
extern void YPlayerSndObjStopCB(GtkWidget *widget, gpointer data);
extern void YPlayerSndObjAddCB(GtkWidget *widget, gpointer data);
extern void YPlayerSndObjRemoveCB(GtkWidget *widget, gpointer data);
extern void YPlayerSndObjShiftUpCB(GtkWidget *widget, gpointer data);
extern void YPlayerSndObjShiftDownCB(GtkWidget *widget, gpointer data);
extern void YPlayerSndObjChangeModeToggleCB(GtkWidget *widget, gpointer data);
extern void YPlayerSndObjRepeatToggleCB(GtkWidget *widget, gpointer data);
extern void YPlayerSndObjSelectAllCB(GtkWidget *widget, gpointer data);
extern void YPlayerSndObjUnselectAllCB(GtkWidget *widget, gpointer data);
extern void YPlayerSndObjInvertSelectionCB(GtkWidget *widget, gpointer data);
extern void YPlayerSndObjOpenPlayListCB(GtkWidget *widget, gpointer data);
extern void YPlayerSndObjInsertPlayListCB(GtkWidget *widget, gpointer data);
extern void YPlayerSndObjSavePlayListCB(GtkWidget *widget, gpointer data);
extern void YPlayerSndObjSaveSelectedCB(GtkWidget *widget, gpointer data);
extern void YPlayerSndObjPlayingKilledCB(yplayer_struct *yp, YID yid);

extern gint YPlayerSndObjAdvEventCB(
	GtkWidget *widget, GdkEvent *event, gpointer data
);
extern void YPlayerSndObjAdvKilledCB(yplayer_struct *yp, YID yid);
extern void YPlayerSndObjAdvVolumeChangedCB(
	GtkAdjustment *adj, gpointer data
);
extern void YPlayerSndObjAdvPositionChangedCB(
	GtkAdjustment *adj, gpointer data
);
extern void YPlayerSndObjAdvSampleRateChangedCB(
	GtkAdjustment *adj, gpointer data
);
extern void YPlayerSndObjAdvOpenCB(GtkWidget *widget, gpointer data);
extern void YPlayerSndObjAdvPlayCB(GtkWidget *widget, gpointer data);
extern void YPlayerSndObjAdvPauseCB(GtkWidget *widget, gpointer data);
extern void YPlayerSndObjAdvRewindCB(GtkWidget *widget, gpointer data);
extern void YPlayerSndObjAdvChangeModeCB(GtkWidget *widget, gpointer data);
extern void YPlayerSndObjAdvCloseCB(GtkWidget *widget, gpointer data);

extern void YPlayerAudioCDPlayCB(GtkWidget *widget, gpointer data);
extern void YPlayerAudioCDRandomCB(GtkWidget *widget, gpointer data);
extern void YPlayerAudioCDStopCB(GtkWidget *widget, gpointer data);
extern void YPlayerAudioCDEjectCB(GtkWidget *widget, gpointer data);
extern void YPlayerAudioCDRefreshCB(GtkWidget *widget, gpointer data);

extern void YPlayerReconfiguredCB(
	yplayer_struct *yp, gpointer core_ptr
);


#endif /* YPLAYERCB_H */
