/*
			     YConsole Y Server List
 */

#ifndef YSERVERLIST_H
#define YSERVERLIST_H

#include <gtk/gtk.h>


/*
 *	Y Server List Item:
 */
typedef struct {

	gchar *name;
	gchar *address;
	gboolean is_local;
	gchar *start_command;
	gchar *comments;

} yserver_list_item_struct;
#define YSERVER_LIST_ITEM(p)	((yserver_list_item_struct *)(p))


/*
 *	Y Server List:
 */
typedef struct {

	gboolean initialized;
	gboolean map_state;
	gint busy_count;
	GtkAccelGroup *accelgrp;
	gpointer core_ptr;

	GtkWidget	*toplevel,
			*main_vbox,
			*servers_clist,
			*add_btn, *edit_btn, *remove_btn,
			*shift_up_btn, *shift_down_btn,
			*connect_btn, *start_btn, *close_btn;

	GtkWidget	*rel_toplevel;

	GtkWidget	*menu,		/* Right click menu. */
			*connect_mi,
			*start_mi,
			*add_mi,
			*edit_mi,
			*remove_mi,
			*shift_up_mi,
			*shift_down_mi;

	/* Pixmaps and mask pairs for servers list items. */
	GdkPixmap	*pixmap_yserver;
	GdkBitmap	*mask_yserver;
	GdkPixmap	*pixmap_yserver_start;
	GdkBitmap	*mask_yserver_start;

} yserver_list_struct;
#define YSERVER_LIST(p)	((yserver_list_struct *)(p))
#define YSERVER_LIST_TOPLEVEL(p)	(((p) != NULL) ? \
 (YSERVER_LIST(p)->toplevel) : NULL)
#define YSERVER_LIST_SERVERS_CLIST(p)	(((p) != NULL) ? \
 (YSERVER_LIST(p)->servers_clist) : NULL)


extern void YServerListFileOpen(yserver_list_struct *sl, const gchar *path);
extern void YServerListFileSave(yserver_list_struct *sl, const gchar *path);

extern gint YServerListAddItem(
	yserver_list_struct *sl, gint row,
	const gchar *name,
	const gchar *address,
	gboolean is_local,
	const gchar *start_command,
	const gchar *comments
);
extern void YServerListUpdateItem(yserver_list_struct *sl, gint row);
extern void YServerListSavePosition(yserver_list_struct *sl);

extern yserver_list_struct *YServerListNew(gpointer core_ptr);
extern void YServerListUpdateMenus(yserver_list_struct *sl);
extern void YServerListMap(yserver_list_struct *sl);
extern void YServerListUnmap(yserver_list_struct *sl);
extern void YServerListDelete(yserver_list_struct *sl);


#endif	/* YSERVERLIST_H */
